Loading...
Searching...
No Matches
AVDiracSeqHeader Struct Reference

`#include <libavcodec/dirac.h>`

## Data Fields

unsigned | width
unsigned | height
uint8_t | chroma_format
| 0: 444 1: 422 2: 420
uint8_t | interlaced
uint8_t | top_field_first
uint8_t | frame_rate_index
| index into dirac_frame_rate[]
uint8_t | aspect_ratio_index
| index into dirac_aspect_ratio[]
uint16_t | clean_width
uint16_t | clean_height
uint16_t | clean_left_offset
uint16_t | clean_right_offset
uint8_t | pixel_range_index
| index into dirac_pixel_range_presets[]
uint8_t | color_spec_index
| index into dirac_color_spec_presets[]
int | profile
int | level
AVRational | framerate
AVRational | sample_aspect_ratio
enum AVPixelFormat | pix_fmt
enum AVColorRange | color_range
enum AVColorPrimaries | color_primaries
enum AVColorTransferCharacteristic | color_trc
enum AVColorSpace | colorspace
DiracVersionInfo | version
int | bit_depth

## Detailed Description

Definition at line 85 of file dirac.h.

## Field Documentation

## width

unsigned AVDiracSeqHeader::width

Definition at line 86 of file dirac.h.

## height

unsigned AVDiracSeqHeader::height

Definition at line 87 of file dirac.h.

## chroma_format

uint8_t AVDiracSeqHeader::chroma_format

0: 444 1: 422 2: 420

Definition at line 88 of file dirac.h.

## interlaced

uint8_t AVDiracSeqHeader::interlaced

Definition at line 90 of file dirac.h.

## top_field_first

uint8_t AVDiracSeqHeader::top_field_first

Definition at line 91 of file dirac.h.

## frame_rate_index

uint8_t AVDiracSeqHeader::frame_rate_index

index into dirac_frame_rate[]

Definition at line 93 of file dirac.h.

## aspect_ratio_index

uint8_t AVDiracSeqHeader::aspect_ratio_index

index into dirac_aspect_ratio[]

Definition at line 94 of file dirac.h.

## clean_width

uint16_t AVDiracSeqHeader::clean_width

Definition at line 96 of file dirac.h.

## clean_height

uint16_t AVDiracSeqHeader::clean_height

Definition at line 97 of file dirac.h.

## clean_left_offset

uint16_t AVDiracSeqHeader::clean_left_offset

Definition at line 98 of file dirac.h.

## clean_right_offset

uint16_t AVDiracSeqHeader::clean_right_offset

Definition at line 99 of file dirac.h.

## pixel_range_index

uint8_t AVDiracSeqHeader::pixel_range_index

index into dirac_pixel_range_presets[]

Definition at line 101 of file dirac.h.

## color_spec_index

uint8_t AVDiracSeqHeader::color_spec_index

index into dirac_color_spec_presets[]

Definition at line 102 of file dirac.h.

## profile

int AVDiracSeqHeader::profile

Definition at line 104 of file dirac.h.

## level

int AVDiracSeqHeader::level

Definition at line 105 of file dirac.h.

## framerate

AVRational AVDiracSeqHeader::framerate

Definition at line 107 of file dirac.h.

## sample_aspect_ratio

AVRational AVDiracSeqHeader::sample_aspect_ratio

Definition at line 108 of file dirac.h.

## pix_fmt

enum AVPixelFormat AVDiracSeqHeader::pix_fmt

Definition at line 110 of file dirac.h.

## color_range

enum AVColorRange AVDiracSeqHeader::color_range

Definition at line 111 of file dirac.h.

## color_primaries

enum AVColorPrimaries AVDiracSeqHeader::color_primaries

Definition at line 112 of file dirac.h.

## color_trc

enum AVColorTransferCharacteristic AVDiracSeqHeader::color_trc

Definition at line 113 of file dirac.h.

## colorspace

enum AVColorSpace AVDiracSeqHeader::colorspace

Definition at line 114 of file dirac.h.

## version

DiracVersionInfo AVDiracSeqHeader::version

Definition at line 116 of file dirac.h.

## bit_depth

int AVDiracSeqHeader::bit_depth

Definition at line 117 of file dirac.h.

The documentation for this struct was generated from the following file:

- libavcodec/dirac.h